Author Topic: Mainhalls 1.3 Update  (Read 1890 times)

0 Members and 1 Guest are viewing this topic.

Offline AV8R

  • 28
Unless this has already been addressed: :)

So I discovered an issue with the 1.3.0 Mainhalls update that, if you rename/remove the old 1.2.0 folder, FSPort and ST:R will refuse to start stating that 1.2.0 is required to run those mods.

I'm guessing an FSPort update is soon to follow that can properly utilize the 1.3.0 Mainhall update so 1.2.0 will no longer be necessary to have installed?

Or is 1.3.0 a supplement to 1.2.0 and both must be installed simultaneously in order to function properly?

I usually like to remove older versions of mods once I confirm that the newly installed updates/upgrades function properly - mainly to reclaim drive space and make direct copy backups smaller in size (and the Mainhall mods take up quite a bit of space at over 3GB for each version installed).

 

Offline mjn.mixael

  • Cutscene Master
  • 212
  • Chopped liver
    • Steam
    • Twitter
For FSPort's purposes, 1.3 and 1.2 are identical. This is simply a matter of updating FSPort on Knossos to allow newer versions of the mainhall mod.
Cutscene Upgrade Project - Mainhall Remakes - Between the Ashes
Youtube Channel - P3D Model Box
Between the Ashes is looking for committed testers, PM me for details.
Freespace Upgrade Project See what's happening.

 

Offline Mobius

  • Back where he started
  • 213
  • Porto l'azzurro Dolce Stil Novo nella fantascienza
    • Skype
    • Twitter
    • The Lightblue Ribbon | Cultural Project
This issue has also stalled the latest Memories of the Great War update, unfortunately. Perhaps a quick update of the main FSPort package could fix it? Modifying the mod.json file should be enough, if I got the Knossos mechanisms right.
The Lightblue Ribbon

Inferno: Nostos - Alliance
Series Resurrecta: {{FS Wiki Portal}} -  Gehenna's Gate - The Spirit of Ptah - Serendipity (WIP) - <REDACTED> (WIP)
FreeSpace Campaign Restoration Project
A tribute to FreeSpace in my book: Riflessioni dall'Infinito
My interviews: [ 1 ] - [ 2 ] - [ 3 ]

 

Offline Goober5000

  • HLP Loremaster
  • Moderator
  • 214
    • Goober5000 Productions
Unfortunately, modding is seldom simple or quick.  I have edited the mod settings to use 1.2.0 or greater, instead of 1.2.x, and pushed the update.  But due to Knossos idiosyncrasies, metadata-only updates do not always propagate to end users.

As mjn.mixael said, FSPort can use 1.2 or 1.3 with equal ease, so if you didn't receive the update and if you are comfortable editing the mod.json file, you can do it yourself.

Fortunately, FSPort will be releasing another update once 21.0 is released to take advantage of a new FSO feature.  That update should propagate to everyone, and it will include the main hall metadata update.

 
I can confirm that the update arrived at my end  :yes:

 

Offline Goober5000

  • HLP Loremaster
  • Moderator
  • 214
    • Goober5000 Productions
Oh good!  It didn't work on my other computer but I'm glad it worked for the person who needed it. :)